diff --git a/src/main.cpp b/src/main.cpp
index f82410f..ea1e843 100644
--- a/src/main.cpp
+++ b/src/main.cpp
@@ -60,6 +60,7 @@ private:
     std::vector<vk::raii::ImageView> m_swapChainImageViews;
     vk::raii::RenderPass m_renderPass{ nullptr };
     vk::raii::PipelineLayout m_pipelineLayout{ nullptr };
+    vk::raii::Pipeline m_graphicsPipeline{ nullptr };
     /////////////////////////////////////////////////////////////////
 
     /////////////////////////////////////////////////////////////////
@@ -547,6 +548,28 @@ private:
 
         vk::PipelineLayoutCreateInfo pipelineLayoutInfo;
         m_pipelineLayout = m_device.createPipelineLayout( pipelineLayoutInfo );
+
+        vk::GraphicsPipelineCreateInfo pipelineInfo;
+        pipelineInfo.setStages( shaderStages );
+
+        pipelineInfo.pVertexInputState = &vertexInputInfo;
+        pipelineInfo.pInputAssemblyState = &inputAssembly;
+        pipelineInfo.pViewportState = &viewportState;
+        pipelineInfo.pRasterizationState = &rasterizer;
+        pipelineInfo.pMultisampleState = &multisampling;
+        pipelineInfo.pDepthStencilState = nullptr; // Optional
+        pipelineInfo.pColorBlendState = &colorBlending;
+        pipelineInfo.pDynamicState = &dynamicState;
+
+        pipelineInfo.layout = m_pipelineLayout;
+
+        pipelineInfo.renderPass = m_renderPass;
+        pipelineInfo.subpass = 0;
+
+        pipelineInfo.basePipelineHandle = nullptr; // Optional
+        pipelineInfo.basePipelineIndex = -1; // Optional
+
+        m_graphicsPipeline = m_device.createGraphicsPipeline( nullptr, pipelineInfo );
     }
     /////////////////////////////////////////////////////////////////
 };
